@extends('layouts.app', ['title' => __('Add User')])

@section('content')
    @include('users.partials.header', [
    ])   


    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-xl-12 order-xl-1">
                <div class="card bg-secondary shadow">
                    <div class="card-header bg-white border-0">
                        <div class="row align-items-center">
                            <h1 class="mb-0">{{ __('1. Enter UID and select Server') }}</h1>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="post" action="{{ route('user.add') }}" autocomplete="off">
                            @csrf
                            @method('post')

                            
                            @if (session('status'))
                                <div class="alert alert-success alert-dismissible fade show" role="alert">
                                    {{ session('status') }}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            @endif


                            <div class="pl-lg-4">
                                <div class="form-row">
                                    <div class="form-group{{ $errors->has('password') ? ' has-danger' : '' }} col-md-5" style=" text-align-last: center; font-size:17px;">
                                        <input type="text" name="password" id="input-password" class="form-control form-control-alternative{{ $errors->has('password') ? ' is-invalid' : '' }}" placeholder="{{ __('Enter UID') }}">
                                    </div>
                                    <div class="form-group{{ $errors->has('role') ? ' has-danger' : '' }} col-md-5 "style=" text-align: center;">                                           
                                            <select class="form-input form-input--dropdown"   name="role" id="role" style="border-radius: 4px;border: 1px solid;height: 48px; text-align-last: center;color: #ccc;width: 100%;">
                                                <option selected>Select Server</option>
                                                <option value="Admin">America</option>
                                                <option  value="R3">Europe</option>
                                                <option value="R2">Asia</option>
                                                <!-- <option value="R1">R1</option> -->
                                            </select>
                                    </div>
                                </div>
                                <!-- <div class="text-right" style="margin-right:120px;"> -->
                                    <!-- <button type="submit" class="btn btn-success mt-4" style="font-size: 18px;">{{ __('Save') }}</button> -->
                                    <P class="form__field-instruction-text" style="padding-right: 12px;font-size: 12px;font-family: Lato-Italic,sans-serif;line-height: 16px;margin: 5px 0 0;color: #333;">
                                        <font style="vertical-align: inherit;">
                                            <font style="vertical-align: inherit;">
                                            To find your UID, sign in with your account. Click on the profile button in the top left corner of the screen. Find the UID under the avatar. Enter your UID here. Apart from that, you can also find your UID in the lower right corner of the screen. 
                                            </font>
                                        </font>
                                    </P>
                                <!-- </div> -->
                            </div>
                        </form>
                    </div>
                
                </div>
            </div>
        </div>
        <!-- second card  START-->
        <div class="row mt-4">
            <div class="col-xl-12 order-xl-1">
                <div class="card bg-secondary shadow">
                    <div class="card-header bg-white border-0">
                        <div class="row align-items-center">
                            <h1 class="mb-0">{{ __('2. Choose Nominal Top Up') }}</h1>
                        </div>
                    </div>
                    <div class="card-body">
                            <!-- <div class="col-md-12"> -->
                                <!-- <div class="row "> -->
                                    <ul class="row" style="padding: 10px;list-style-type: none;">
                                        <li class="col-md-3 " style="margin-bottom:4px;padding: 10px;position: relative; display: inline-block; text-align:center;display: table-cell;border: 1px solid #ccc;border-radius: 4px;height: 48px; ">
                                            <a href="" style=" color: #333;font-size: 14px;font-family: Lato-Regular,sans-serif; ">
                                                <p style="width:100%">60 Genesis Crystals</p>
                                                
                                            </a>
                                        </li>
                                        <li class="col-md-3 " style=" margin-bottom:4px;padding: 10px;position: relative; display: inline-block; text-align:center;display: table-cell;border: 1px solid #ccc;border-radius: 4px;height: 48px; ">
                                            <a href="" style=" color: #333;font-size: 14px;font-family: Lato-Regular,sans-serif; ">
                                            <p style="width:100%">300+30 Genesis Crystals</p>
                                            </a>
                                        </li>
                                        <li class="col-md-3 " style="margin-bottom:4px;padding: 10px;position: relative; display: inline-block; text-align:center;display: table-cell;border: 1px solid #ccc;border-radius: 4px;height: 48px; ">
                                            <a href="" style=" color: #333;font-size: 14px;font-family: Lato-Regular,sans-serif; ">
                                            <p style="width:100%">500 Genesis Crystals</p>
                                            </a>
                                        </li>
                                        <li class="col-md-3 " style="margin-bottom:4px;padding: 10px;position: relative; display: inline-block; text-align:center;display: table-cell;border: 1px solid #ccc;border-radius: 4px;height: 48px; ">
                                            <a href="" style=" color: #333;font-size: 14px;font-family: Lato-Regular,sans-serif; ">
                                            <p style="width:100%">1200 Genesis Crystals</p>
                                            </a>
                                        </li>
                                        <li class="col-md-3 " style="margin-bottom:4px;padding: 10px;position: relative; display: inline-block; text-align:center;display: table-cell;border: 1px solid #ccc;border-radius: 4px;height: 48px; ">
                                            <a href="" style=" color: #333;font-size: 14px;font-family: Lato-Regular,sans-serif; ">
                                            <p style="width:100%">2000+200 Genesis Crystals</p>
                                            </a>
                                        </li>
                                        <li class="col-md-3 " style="margin-bottom:4px;padding: 10px;position: relative; display: inline-block; text-align:center;display: table-cell;border: 1px solid #ccc;border-radius: 4px;height: 48px; ">
                                            <a href="" style=" color: #333;font-size: 14px;font-family: Lato-Regular,sans-serif; ">
                                            <p style="width:100%">5000 Genesis Crystals</p>
                                            </a>
                                        </li>
                                    </ul>
                    </div>
                </div>
            </div>  
        </div>
         <!-- second card end -->
         <!-- third card  START-->
        <div class="row mt-4">
            <div class="col-xl-12 order-xl-1">
                <div class="card bg-secondary shadow">
                    <div class="card-header bg-white border-0">
                        <div class="row align-items-center">
                            <h1 class="mb-0">{{ __('3. Choose payment') }}</h1>
                        </div>
                    </div>
                    <div class="card-body">

                                    <ul class="row" style="padding: 10px; list-style-type: none;">
                                        <li class="col-md-12 " style="margin-bottom: 8px;position: relative; display: inline-block; text-align:center;display: table-cell;border: 1px solid #ccc;border-radius: 4px;height: 48px; ">
                                            <a href="" style=" color: #333;font-size: 14px;font-family: Lato-Regular,sans-serif; ">
                                                <!-- {{ __('60 Genesis Crystals') }}
                                                 -->
                                                 <input type="hidden">
                                            <div class="payment-channel-container" style="display: flex;width: 64%;justify-content: space-between;align-items: center;">
                                                <figure class="payment-logo-container" style="margin: 0;padding: 5px 7px;">
                                                    <img class="logo" src="https://cdn1.codashop.com/S/content/common/images/mno/GO_PAY_CHNL_LOGO.png" alt="GO_PAY logo" style="  max-width: 100%;display: block;max-height: 32px;">
                                                </figure>
                                            </div>
                                            </a>
                                        </li>
                                        <li class="col-md-12 " style="margin-bottom: 8px; position: relative; display: inline-block; text-align:center;display: table-cell;border: 1px solid #ccc;border-radius: 4px;height: 48px; ">
                                            <a href="" style=" color: #333;font-size: 14px;font-family: Lato-Regular,sans-serif; ">
                                                <!-- {{ __('60 Genesis Crystals') }}
                                                 -->
                                                 <input type="hidden">
                                            <div class="payment-channel-container" style="display: flex;width: 64%;justify-content: space-between;align-items: center;">
                                                <figure class="payment-logo-container" style="margin: 0;padding: 5px 7px;">
                                                    <img class="logo" src="https://cdn1.codashop.com/S/content/common/images/mno/GO_PAY_CHNL_LOGO.png" alt="GO_PAY logo" style="  max-width: 100%;display: block;max-height: 32px;">
                                                </figure>
                                            </div>
                                            </a>
                                        </li>
                                        <li class="col-md-12 " style="position: relative; display: inline-block; text-align:center;display: table-cell;border: 1px solid #ccc;border-radius: 4px;height: 48px; ">
                                            <a href="" style=" color: #333;font-size: 14px;font-family: Lato-Regular,sans-serif; ">
                                                <!-- {{ __('60 Genesis Crystals') }}
                                                 -->
                                                 <input type="hidden">
                                            <div class="payment-channel-container" style="display: flex;width: 64%;justify-content: space-between;align-items: center;">
                                                <figure class="payment-logo-container" style="margin: 0;padding: 5px 7px;">
                                                    <img class="logo" src="https://cdn1.codashop.com/S/content/common/images/mno/GO_PAY_CHNL_LOGO.png" alt="GO_PAY logo" style="  max-width: 100%;display: block;max-height: 32px;">
                                                </figure>
                                            </div>
                                            </a>
                                        </li>
                                    </ul>
                    </div>
                </div>
            </div>  
        </div>
         <!-- third card end -->
                  <!-- fourth card  START-->
        <div class="row mt-4">
            <div class="col-xl-12 order-xl-1">
                <div class="card bg-secondary shadow">
                    <div class="card-header bg-white border-0">
                        <div class="row align-items-center">
                            <h1 class="mb-0">{{ __('4. Buy!') }}</h1>
                        </div>
                    </div>
                    <div class="card-body">
                        <p class="default-1" style="font-size: 14px;color: #333;padding: 10px 5px;margin: 0;display: block;">
                        Optional: If you want to get proof of payment for your purchase, please fill in the email address
                        </p>
                        <div class="form-group" style="font-size:17px;">
                            <input type="text" name="password" id="input-password" class="form-control form-control-alternative{{ $errors->has('password') ? ' is-invalid' : '' }}" placeholder="{{ __('Email Address') }}">
                        </div>
                        <div class="email-form-btn-group col-md-12" style="padding: 0 10px; ">
                            <div class="col-md-3" style="display:inline-block; ">
                                <label for="ck" style="cursor: pointer;position: relative;"></label>
                                <input type="checkbox" id="ck" >
                                <!-- <span style="width: 18px;height: 18px;display: inline-block;cursor: pointer;border: 1px solid #ccc;border-radius: 3px;position: relative;"></span> -->
                                <span style="font-size: 14px;color: #333;font-family: Lato-Regular,sans-serif;">Remember Me</span>
                            </div>
                            <div class="col-md-4" style="display:inline-block; "></div>
                            <div class="col-md-4 col-sm-12" style="margin-top: 12px; display:inline-block;">
                                <a href=""class="email-form-btn__submit" style="background-color: #395071;font-size: 20px;min-width: 203px;max-width: 395px;min-height: 48px;max-height: 52px;width: 100%;color: #fff;text-decoration: none;display: flex;align-items: center;padding: 0 15px;border-radius: 4px; ">
                                    <span  style="margin: auto;">Buy now</span>
                                </a>
                            </div>

                        </div>
                        
                    </div>
                </div>
            </div>  
        </div>
         <!-- third card end -->
    @include('layouts.footers.auth')
    </div>
@endsection
<!-- <style>
.section{background-color:#fcfcfc;border-radius:6px;padding:15px;margin:25px 0;box-shadow:1px 2px 3px #ce5816;animation:fadeIn ease 1s}
.section ul{padding:10px 0 0;margin:0;list-style-type:none}

.voucher-list-element{width:33.33333%}
.element-check-label{background-color:#ff6c2c;color:#fff;width:24px;height:48px;position:absolute;top:-19px;left:-1px;transform:rotate(45deg);display:none}
.voucher-list-element>a{display:table-cell;text-decoration:none;color:#333;font-size:14px;font-family:Lato-Regular,sans-serif;text-align:center;padding:3px;border:1px solid #ccc;border-radius:4px;height:48px;word-break:break-word;position:relative;overflow:hidden}
</style>  -->

    <!-- <link rel="stylesheet" type="text/css" href="https://cdn1.codashop.com/S2/content/mobile/css/productPage/responsive-product-page2.daca1aadf5.css" /> -->
<style>
@media screen and (min-width: 427px)
.email-form-btn-group{
    flex-direction: row-reverse;
}
</style>