@extends('layouts.app', ['title' => __('Add User')])

@section('content')
    @include('users.partials.header', [
    ])   

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-xl-12 order-xl-1">
                <div class="card bg-secondary shadow">
                    <div class="card-header bg-white border-0">
                        <div class="row align-items-center">
                            <h3 class="mb-0">{{ __('Add Rate Chart') }}</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="post" action="{{ route('user.add') }}" autocomplete="off">
                            @csrf
                            @method('post')

                            
                            @if (session('status'))
                                <div class="alert alert-success alert-dismissible fade show" role="alert">
                                    {{ session('status') }}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            @endif


                            <div class="pl-lg-4">
                                <div class="form-row">
                                     <div class="form-group{{ $errors->has('name') ? ' has-danger' : '' }} col-md-6 ">
                                        <label class="form-control-label" for="input-name">{{ __('Game Name') }}</label>

                                            <select class="form-control"   name="name" id="name">
                                                <option selected>Select Game</option>
                                                <option value="Pubg">Pubg</option>
                                                <option value="Free Fire">Free Fire</option>
                                                <option value="COC">COC</option>
                                                <option value="COD Mobile">COD Mobile</option>
                                                <option value="Valorant">Valorant</option>
                                                <option value="WarZone">WarZone</option>
                                            </select>
                                         
                                             <!-- </div> -->
                                            
                                        <!-- </div>  -->
                                        @if ($errors->has('name'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('name') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                    <div class="form-group{{ $errors->has('amount') ? ' has-danger' : '' }} col-md-6">
                                        <label class="form-control-label" for="input-amount">{{ __('Amount') }}</label>
                                        <input type="text" name="amount" id="input-amount" class="form-control form-control-alternative{{ $errors->has('amount') ? ' is-invalid' : '' }}" placeholder="{{ __('Amount') }}"  required autofocus>

                                        @if ($errors->has('amount'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('amount') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                    <div class="form-group{{ $errors->has('Taka') ? ' has-danger' : '' }} col-md-6" >
                                        <label class="form-control-label" for="input-taka">{{ __('Taka') }}</label>
                                        <input type="text" name="taka" id="input-taka" class="form-control form-control-alternative{{ $errors->has('taka') ? ' is-invalid' : '' }}" placeholder="{{ __('Taka') }}"  required>

                                        @if ($errors->has('taka'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('taka') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                    <div style="margin-left:120px;margin-top:5px; ">
                                        <button type="submit" class="btn btn-success mt-4" style="font-size: 18px;">{{ __('Save') }}</button>
                                    </div>
                                </div>

                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        
        @include('layouts.footers.auth')
    </div>
@endsection
