@extends('layouts.app', ['title' => __('Add User')])

@section('content')
    @include('users.partials.header', [
    ])   

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-xl-12 order-xl-1">
                <div class="card bg-secondary shadow">
                    <div class="card-header bg-white border-0">
                        <div class="row align-items-center">
                            <h3 class="mb-0">{{ __('Add User') }}</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="post" action="{{ route('user.add') }}" autocomplete="off">
                            @csrf
                            @method('post')

                            
                            @if (session('status'))
                                <div class="alert alert-success alert-dismissible fade show" role="alert">
                                    {{ session('status') }}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            @endif


                            <div class="pl-lg-4">
                                <div class="form-row">
                                    <div class="form-group{{ $errors->has('name') ? ' has-danger' : '' }} col-md-6">
                                        <label class="form-control-label" for="input-name">{{ __('Name') }}</label>
                                        <input type="text" name="name" id="input-name" class="form-control form-control-alternative{{ $errors->has('name') ? ' is-invalid' : '' }}" placeholder="{{ __('Name') }}"  required autofocus>

                                        @if ($errors->has('name'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('name') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                    <div class="form-group{{ $errors->has('phone') ? ' has-danger' : '' }} col-md-6" >
                                        <label class="form-control-label" for="input-phone">{{ __('Phone Number') }}</label>
                                        <input type="text" name="phone" id="input-phone" class="form-control form-control-alternative{{ $errors->has('phone') ? ' is-invalid' : '' }}" placeholder="{{ __('Phone Number') }}"  required>

                                        @if ($errors->has('phone'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('phone') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group{{ $errors->has('password') ? ' has-danger' : '' }} col-md-6">
                                        <label class="form-control-label" for="input-password">{{ __('password') }}</label>
                                        <input type="password" name="password" id="input-password" class="form-control form-control-alternative{{ $errors->has('password') ? ' is-invalid' : '' }}" placeholder="{{ __('Password') }}" required>

                                        @if ($errors->has('password'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('password') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                    <div class="form-group{{ $errors->has('role') ? ' has-danger' : '' }} col-md-6 ">
                                        <label class="form-control-label" for="input-role">{{ __('User Role') }}</label>

                                            @if( auth()->user()->role=="Super Admin")
                                            <select class="form-control"   name="role" id="role">
                                                <option selected>Select Role</option>
                                                <option value="Admin">Admin</option>
                                                <option value="Reseller">Reseller</option>
                                            </select>
                                            @endif
                                            @if( auth()->user()->role=="Admin")
                                            <select class="form-control"  name="role" id="role" >
                                                <option selected value="Reseller">Reseller</option>
                                            </select>
                                            @endif
                                         
                                             <!-- </div> -->
                                            
                                        <!-- </div>  -->
                                        @if ($errors->has('role'))
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $errors->first('role') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                                <div class="text-right" style="margin-right:120px;">
                                    <button type="submit" class="btn btn-success mt-4" style="font-size: 18px;">{{ __('Save') }}</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        
        @include('layouts.footers.auth')
    </div>
@endsection
