<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use App\Http\Controllers\HomeController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Auth::routes();

Route::get('/home', 'App\Http\Controllers\HomeController@index')->name('home');

Route::group(['middleware' => 'auth'], function () {
	Route::resource('user', 'App\Http\Controllers\UserController', ['except' => ['show']]);
	// Route::get('profile', ['as' => 'profile.edit', 'uses' => 'App\Http\Controllers\ProfileController@edit']);
	Route::put('profile', ['as' => 'profile.update', 'uses' => 'App\Http\Controllers\ProfileController@update']);
	Route::get('upgrade', function () {return view('pages.upgrade');})->name('upgrade'); 
	Route::get('map', function () {return view('pages.maps');})->name('map');
	Route::get('icons', function () {return view('pages.icons');})->name('icons'); 
	Route::get('table-list', function () {return view('pages.tables');})->name('table');
	Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'App\Http\Controllers\ProfileController@password']);

	// user
	// Route::get('/users/addUser', [App\Http\Controllers\AdminController::class, 'addUser'])->name('users.addUser');
	Route::get('Alluser', ['as' => 'users.index', 'uses' =>'App\Http\Controllers\UserController@index']);
	Route::get('addUser', ['as' => 'users.addUser', 'uses' =>'App\Http\Controllers\UserController@addUser']);
	Route::post('addUser', ['as' => 'user.add', 'uses' => 'App\Http\Controllers\UserController@insertUser']);
	Route::get('/Alluser/{user_id}/{add_balance}/{add_amount}/{add_method}', [UserController::class, 'addBalance'])->name('users.index');

	// Route::group(['middleware' => 'authCheck:r1'], function () {
	// 	// Route::get('/r3', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

	// });
	Route::get('/pubg', [UserController::class, 'Pubg'])->name('pubg');
	Route::get('accReport', ['as' => 'reports.accounting', 'uses' =>'App\Http\Controllers\UserController@getAll']);
	Route::get('/accReport/{phone}/{add_amount}/{add_method}', [UserController::class, 'addPayment'])->name('reports.accountingadd');
	Route::get('/accReport/{role}', [UserController::class, 'filterRole'])->name('reports.accountingRole');
	Route::get('/accReport/{from_date}/{to_date}', [UserController::class, 'filterDate'])->name('reports.accountingDate');
	Route::get('/paymentReport/{status}', [UserController::class, 'paymentStatus'])->name('reports.accountingPayment');
	Route::get('transaction', ['as' => 'reports.transaction', 'uses' =>'App\Http\Controllers\UserController@getAllTransaction']);

	// Route::get('/accReport/{phone}', [UserController::class, 'addPayment'])->name('reports.accountingadd');
// Rate Chart
Route::get('allRateChart', ['as' => 'rateChart.index', 'uses' =>'App\Http\Controllers\HomeController@index']);
Route::get('addRateChart', ['as' => 'rateChart.addRateChart', 'uses' =>'App\Http\Controllers\HomeController@addRateChart']);
Route::post('addRateChart', ['as' => 'rateChart.addRate', 'uses' => 'App\Http\Controllers\HomeController@insertRateChart']);
// Vendor

Route::get('allVendor', ['as' => 'vendor.index', 'uses' =>'App\Http\Controllers\HomeController@index']);
Route::get('addVendor', ['as' => 'vendor.addVendor', 'uses' =>'App\Http\Controllers\HomeController@addVendor']);
Route::post('addVendor', ['as' => 'vendor.addNewVendor', 'uses' => 'App\Http\Controllers\HomeController@insertVendor']);
	
	
});


